# Generated from tchae-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tchae

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Tchae is a lightweight ruby validation library
License: MIT
URL: https://gitlab.com/dm0da/tchae
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(rubocop) >= 0.51
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
Having to validate method parameters and/or the result of method is a
quite common and repetitive task. Tchae is an attempt to capture this task in
a small yet generic reuseable library. Tchae provides validated variants of
the standard define_method ruby methods , that will create the same method as
the standard would create wrapped into validation code.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.2-1
- Initial package
